import { request } from 'umi';
export default {
  /** 查询数据字典信息*/
  GetDictData(data) {
    return request('/kitchen/api/dict-data/dict-data', {
      method: 'Post',
      data: data,
    });
  },
  /** 新增数据字典信息*/
  AddDictData(data) {
    return request('/kitchen/api/deviceconfig/adddict', {
      method: 'POST',
      data: {
        ...data,
      },
    });
  },
  /** 修改数据字典信息*/
  UpdateDictData(data) {
    return request('/kitchen/api/deviceconfig/updaedict', {
      method: 'POST',
      data: {
        ...data,
      },
    });
  },
  /** 删除数据字典信息*/
  removeDictData(data) {
    return request(`/kitchen/api/dict-data`, {
      method: 'DELETE',
      data: data,
    });
  },
  /** 获取字典类型信息*/
  getDictTypeList() {
    return request(`/kitchen/api/select/dicttype`, {
      method: 'Get',
      // params: { ...params },
      // ...(options || {}),
    });
  },
};
